import type { AzureFunction } from '@azure/functions';
import { Configuration } from 'botbuilder-runtime';
import { IServices, ServiceCollection } from 'botbuilder-runtime-core';
/**
 * Create azure function triggers using the azure restify integration.
 *
 * @param runtimeServices result of calling `once(() => getRuntimeServices(...))`
 * @returns azure function triggers for `module.exports`
 */
export declare function makeTriggers(runtimeServices: () => Promise<[ServiceCollection<IServices>, Configuration]>): Record<string, AzureFunction>;
/**
 * Create azure function triggers using the azure restify integration.
 *
 * @param applicationRoot application root directory
 * @param settingsDirectory settings directory
 * @returns azure function triggers for `module.exports`
 */
export declare function triggers(applicationRoot: string, settingsDirectory: string): Record<string, AzureFunction>;
//# sourceMappingURL=index.d.ts.map